METAPIXEL(1)

NAME
metapixel - generator for photomosaics

SYNOPSIS

metapixel-prepare [options] [srcdir] [destdir] prepares the pictures in srcdir by creating resized images and a table file in destdir

metapixel [options] [--metapixel input.jpg output.png --library destdir] creates a photomosaic output.png using input.jpg as the input image and destdir/tables.mxt as table file

DESCRIPTION

This manual page documents briefly the metapixel and metapixel-prepare commands. For more information check the README file included in the distribution.

metapixel is a program for generating photomosaics. It can generate classical photomosaics, in which the source image is viewed as a matrix of equally sized rectangles for each of which a matching image is substitued, as well as collage-style photomosaics, in which rectangular parts of the source image at arbitrary positions (i.e. not aligned to a matrix) are substituted by matching images.

metapixel-prepare is a utility that needs to be run before metapixel can be used. It prepares your source images so that they can be used by metapixel to create the actual photomosaic.

USAGE

metapixel-prepare srcdir destdir has to be run first. srcdir is the path to the directory containing the source images, e.g. ~/Pictures/Holidays. destdir, e.g. ~/.metapixel, is the path to the directory where you want to store the rescaled images and the tables.mxt index file. This directory should be created manually before running metapixel-prepare.

metapixel --metapixel input.jpg output.png --library destdir is then used to transform an image (input.jpg) into a mosaic (output.png) using the source images (described by destdir/tables.mxt).

OPTIONS

The options are described in the README file or by running metapixel or metapixel-prepare with the --help option.

SEE ALSO

The README file is included in the Metapixel distribution.

AUTHOR

This manual page was written by Chris Vanden Berghe <Chris@VandenBerghe.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR
Chris Vanden Berghe.